Bug 57600 - kickstart lilocheck command broken - was Syntax error in /usr/lib/anaconda/kickstart.py
Summary: kickstart lilocheck command broken - was Syntax error in /usr/lib/anaconda/ki...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-17 13:39 UTC by Ton Kersten
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-17 16:55:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2002:016 normal SHIPPED_LIVE Various anaconda installer fixes 2002-01-17 05:00:00 UTC

Description Ton Kersten 2001-12-17 13:39:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4)
Gecko/20011126 Netscape6/6.2.1

Description of problem:
In the program /usr/lib/anaconda/kickstart.py there is a syntax error in 
line 264. This lines states: "def LiloCheck(self, args):"
But when we try to run a kickstart install this lines gives us an error.
After changing this line to "def LiloCheck(self, id, args):" and rebuilding
the stage2.img (mkcramfs) everything worked oke.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Create a kickstart install server
2.Start to install a machine with "lilocheck" on in the kickstart file
3.
	

Actual Results:  The kickstart installer crashed and the install could not
be completed.

Expected Results:  The machine should have continued with the installation
and installation should complete successfully.

Additional info:

Comment 1 Michael Fulbright 2001-12-17 16:55:03 UTC
Thanks for the patch!

Comment 2 Jeremy Katz 2001-12-17 16:59:45 UTC
Fixed in CVS


Note You need to log in before you can comment on or make changes to this bug.